﻿Type=Activity
Version=4.3
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private btnDo As Button
	Private edtBrand As EditText
	Private edtEffect As EditText
	Private edtGen As EditText
	Private edtPurpose As EditText
	Private lblMID As Label
	Private lblUser As Label
	Private radECur As RadioButton
	Private radEPrev As RadioButton
	Private RadNo As RadioButton
	Private RadYes As RadioButton
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("edit")
	edtPurpose.InputType = Bit.OR(edtPurpose.INPUT_TYPE_TEXT, 16384)
	edtPurpose.Wrap = True
	edtEffect.InputType = Bit.OR(edtEffect.INPUT_TYPE_TEXT, 16384)
	edtEffect.Wrap = True
	edtBrand.InputType = Bit.OR(edtEffect.INPUT_TYPE_TEXT, 16384)
	edtGen.InputType = Bit.OR(edtEffect.INPUT_TYPE_TEXT, 16384)
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub Add(name As String)
	lblUser.Text = name
	
	btnDo.Text = "Add"
End Sub

Sub Update(name As String)
	lblUser.Text = name
	edtBrand.Text = Main.strbrand
	If Main.strgeneric = Null Then
		edtGen.Text = ""
	Else 
		edtGen.Text = Main.strgeneric
	End If
	edtEffect.Text = Main.streffect
	edtPurpose.Text = Main.strpurpose
	Select Main.itemchecked
		Case "Cur"
			radECur.Checked = True
		Case "Prev"
			radEPrev.Checked = True
	End Select
	
	Select Main.allergycheck 
		Case "Allergic"
			RadYes.Checked = True
		Case "No"
			RadNo.Checked = True
	End Select
	btnDo.Text = "Update"
End Sub

Sub RadAllergy_CheckedChange(Checked As Boolean)
	Dim send As RadioButton
	send = Sender
	Select send.Tag
		Case "Allergic"
			Main.allergycheck = "Allergic"
		Case "No"
			Main.allergycheck = "NO"
	End Select
End Sub

Sub RadCurPrev_CheckedChange(Checked As Boolean)
	Dim send As RadioButton
	send = Sender
	Select send.Tag
		Case "Cur"
			Main.itemchecked = "Cur"
		Case "Prev"
			Main.itemchecked = "Prev"
	End Select
End Sub

Sub btnDo_Click
	Dim txtbrand As String		:txtbrand = edtBrand.Text.Trim
	Dim txteffect As String 	:txteffect = edtEffect.Text.Trim
	Dim txtpurpose As String 	:txtpurpose = edtPurpose.Text.Trim
	Dim txtgen As String 		:txtgen = edtGen.Text.Trim
	
	Select btnDo.Text 
		Case "Add"
			If txtbrand = "" OR txtgen = "" OR txtpurpose = "" OR txteffect = "" Then
				ToastMessageShow("Missing Information", True)
			Else
				If MedExists(txtbrand) = False Then
					Main.cursor1 = Main.sql1.ExecQuery("SELECT ID FROM sideeffect")
					If Main.cursor1.RowCount > 0 Then
						For i = 0 To Main.cursor1.RowCount - 1
							Main.cursor1.Position = i
							Dim newID As Int
							newID = Main.cursor1.GetInt("ID")
						Next
					End If
					newID = newID + 1
					Main.sql1.ExecNonQuery("INSERT INTO sideeffect VALUES('" & newID & _ 
															        	"','" & lblUser.Text & _
																		"','" & txtgen.ToUpperCase & _
																		"','" & txtbrand & _
																		"','" & txteffect & _
																		"','" & Main.itemChecked & _
																		"','" & txtpurpose & _
																		"','" & Main.allergycheck & _
																		"','" & Null & _
																		"','" & Null & _
																		"','" & Null & _
																		"','" & Null & _
																		"')")
				End If
			End If
		Case "Update"
			If txtbrand = "" OR txtgen = "" OR txtpurpose = "" OR txteffect = "" Then
				ToastMessageShow("Missing Information", True)
			Else
				Main.sql1.ExecNonQuery("UPDATE sideeffect set DrugName ='"& txtbrand & _
													   					"', SideEffect ='"& txteffect & _
													   					"', CurPrev ='"& Main.itemChecked & _
													   					"', Purpose ='"& txtpurpose & _
																		"', GoodBad ='"& Main.allergycheck & _
																		"', DrugBrand ='"& txtgen & _
																   		"' WHERE ID = '" & Main.strID & "'")
			End If
		Case "Delete"
			Main.sql1.ExecNonQuery("DELETE FROM sideeffect WHERE ID ='"& Main.strID & "'")
	End Select
		
	Activity.Finish
	CallSubDelayed(Main, "loadlayout")
End Sub

Sub MedExists(medbrand As String)
	Dim query As String
	Dim cursor1 As Cursor
	query = "SELECT * FROM SideEffect WHERE User ='" & Main.spnUserSelect & "'" & " AND DrugBrand ='" & medbrand & "'"
	cursor1 = Main.sql1.ExecQuery(query)
	If cursor1.RowCount > 0 Then
		ToastMessageShow("This medication already exist", True)
		Return True
	Else
		Return False
	End If
End Sub



Sub Activity_KeyPress (KeyCode As Int) As Boolean 'Return True to consume the event
	
End Sub

